CREATE procedure [C6StagingPeriodico].[RP_ST_DettImmobiliare_pre_selective] as
begin 
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_DettImmobiliare_pre_selective',
		GETDATE(),
		'Elaborazione Trimestrale'
	)
	truncate table C6StagingPeriodico.RP_DettImmobiliare
	insert into C6StagingPeriodico.RP_DettImmobiliare
	/* 21/05/2015FCianfa e LM: sostituzione della select * con la select puntuale e valorizzazione a NULL di campi non più utilizzati. 
	Sostituzione del campo valore immobile con valoreimmobiletotale per l'evolutiva patrimonio immobiliare.
	select *  from [CONSEVO_PERIODICO].[consulenzaEvoluta].dbo.DettImmobiliare*/
	select
	[chiaveProdottoTerzi],
	[descrizione],
	[codProvincia],
	[provincia],
	[codComune],
	[comune],
	[codZona],
	[zona],
	[superficie],
	NULL,
	NULL,
	NULL,
	--[valoreImmobile],
	[valoreImmobileTotale],
	NULL,
	[renditaAnnua],
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	[codTipologia],
	[tipologia] 
	from [CONSUNI_PERIODICO].[consulenzaUnica].dbo.DettImmobiliare
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_DettImmobiliare_pre_selective' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_DettImmobiliare_pre_selective'
		)
end